​
Select Service
ves-io-schema-authentication-API-Create
Published April 5, 2023 | Last modified August 20, 2026
Examples of creating authentication
Usecase:
Create apigw-config-1
Request using vesctl:
vesctl configuration create authentication -i authentication.yaml
where file authentication.yaml has following contents (authentication.CreateRequest):
RequestJSON:
{ "metadata": { "name": "apigw-1", "namespace": "documentation" }, "spec": { "oidc_auth": { "oidc_well_known_config_url": "https://www.google.com/well_known/config", "oidc_client_id": "oidc-google-clientid", "client_secret": { "clear_secret_info": { "url": "string://\u003cbase64\u003e" } } }, "cookie_params": { "cookie_refresh_interval": 3000, "cookie_expiry": 3600, "session_expiry": 3600 } }}vesctl yaml response:
ResponseJSON:
{ "metadata": { "name": "apigw-1", "namespace": "documentation", "labels": {}, "annotations": {}, "description": "", "disable": false }, "system_metadata": { "uid": "0a96beb4-6857-4502-8b2c-fd9d0b7cbf18", "creation_timestamp": "2026-06-19T22:02:30.970855Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": {} }, "spec": { "oidc_auth": { "oidc_well_known_config_url": "https://www.google.com/well_known/config", "oidc_client_id": "oidc-google-clientid", "client_secret": { "clear_secret_info": { "provider": "", "url": "string://\u003cbase64\u003e" }, "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" } }, "cookie_params": { "cookie_refresh_interval": 3000, "cookie_expiry": 3600, "session_expiry": 3600 } }}Request using curl:
curl -X 'POST' -d '{"metadata":{"name":"apigw-1","namespace":"documentation"},"spec":{"oidc_auth":{"oidc_well_known_config_url":"https://www.google.com/well_known/config","oidc_client_id":"oidc-google-clientid","client_secret":{"clear_secret_info":{"url":"string://\u003cbase64\u003e"}}},"cookie_params":{"cookie_refresh_interval":3000,"cookie_expiry":3600,"session_expiry":3600}}}' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/authentications'curl response:
HTTP/1.1 200 OKContent-Length: 1134Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:30 GMTVary: Accept-Encoding
{ "metadata": { "name": "apigw-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "0a96beb4-6857-4502-8b2c-fd9d0b7cbf18", "creation_timestamp": "2026-06-19T22:02:30.970855Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "oidc_auth": { "oidc_well_known_config_url": "https://www.google.com/well_known/config", "oidc_client_id": "oidc-google-clientid", "client_secret": { "clear_secret_info": { "provider": "", "url": "string://\u003cbase64\u003e" }, "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" } }, "cookie_params": { "cookie_refresh_interval": 3000, "cookie_expiry": 3600, "session_expiry": 3600 } }}